Opened 5 years ago

Closed 5 years ago

#1319 closed help (answered)

Changing the date of a UM startdump

Reported by: raw88 Owned by: um_support
Component: UM Model Keywords: Start dump basis time
Cc: Platform: ARCHER
UM Version: 7.3

Description

Hi there,

I've got a start dump which I'm reconfiguring for an idealised UM simulation. I want to change the basis time (from 09:00:00, 24/05/2002 to 00:00:00, 20/03/2012) in order to influence the diurnal heating cycle via the position of the sun as determined by the date and lat/lon coordinates. I've been doing this by changing the values in "Input/Output? Control and Resources → Start Date and Run Length Options" but am getting the following error message when I run:

UM ERROR (Model aborting) :

Routine generating error: INITIAL
Error code: 1
Error message:

INITTIME: Atmosphere basis time mismatch

Based on a previous ticket (#1080) I tried including the hand edit /home/umui/hand_edits/settime.ed, however, this does not seem to make a difference.

The job ID is xjeaz and the relevant output file is /home/n02/n02/raw88/output/xjeaz000.xjeaz.d14183.t150637.leave on Archer.

Thanks for your help,

Rob Warren

Change History (2)

comment:1 Changed 5 years ago by grenville

Rob

You need to change the time in the dump and in the umui.

change_dump_date dumpfile year month day hour minute second

all the date/time arguments are optional

For example

jasmin1:jeff$ change_dump_date dumpfile 1999 12 1
file dumpfile is a byte swapped 64 bit ieee um file
Changing dump file date to 1999/12/01:00.00.00

jasmin1:jeff$ change_dump_date dumpfile 1999 12 1 12
file dumpfile is a byte swapped 64 bit ieee um file
Changing dump file date to 1999/12/01:12.00.00

jasmin1:jeff$ change_dump_date dumpfile 1999
file dumpfile is a byte swapped 64 bit ieee um file
Changing dump file date to 1999/01/01:00.00.00

jasmin1:jeff$ change_dump_date dumpfile
file dumpfile is a byte swapped 64 bit ieee um file
Changing dump file date to 0000/01/01:00.00.00

It actually changes the fixed length header values 28-33 but not the pp header values. This means the file will still have the old date if you look at it with xconv but when run in the UM it will use the new date value.

Grenville

comment:2 Changed 5 years ago by grenville

  • Resolution set to answered
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.